Bug 57635 - perl errors during use Getopt::Long
perl errors during use Getopt::Long
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-17 18:01 EST by Jody McIntyre
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-17 18:01:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jody McIntyre 2001-12-17 18:01:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6+) Gecko/20011202

Description of problem:
The following line of perl does not work:
use Getopt::Long qw(:oonfig permute);

According to perldoc Getopt::Long, this should use the module and turn on
the "permute" config option.

Version-Release number of selected component (if applicable):
5.6.0-17

How reproducible:
Always

Steps to Reproduce:
1. perl -e 'use Getopt::Long qw(:config permute);'


Actual Results:  
"config" is not defined in %Getopt::Long::EXPORT_TAGS at
/usr/lib/perl5/5.6.0/Exporter/Heavy.pm line 75
        Exporter::heavy_export('Getopt::Long', 'main', ':config',
'permute') called at /usr/lib/perl5/5.6.0/Exporter.pm line 45
        Exporter::import(undef, 'Getopt::Long', ':config', 'permute')
called at -e line 1
        main::BEGIN() called at /usr/lib/perl5/5.6.0/Getopt/Long.pm line 1
        require 0 called at /usr/lib/perl5/5.6.0/Getopt/Long.pm line 1
"permute" is not exported by the Getopt::Long module at -e line 1
Can't continue after import errors at -e line 1
BEGIN failed--compilation aborted at -e line 1.


Expected Results:  No output.

Additional info:

Suggested fix: update to perl 5.6.1.
Comment 1 Chip Turner 2001-12-19 03:00:41 EST
Fixed in rawhide 5.6.1 (SRPM should build in 7.2 if interested in testing further)

Note You need to log in before you can comment on or make changes to this bug.